> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/integrations/destinations/loki/loki-deprecated.md).

# Loki (Deprecated)

{% hint style="danger" %}
**WARNING**

This destination has been deprecated and replaced with a new Loki destination. While it will continue to function, it will no longer receive any enhancements and you should migrate to the new destination. For more information about the new destination, see this [documentation](/integrations/destinations/dynatrace.md).
{% endhint %}

### Supported Types

| Logs | Metrics | Traces |
| ---- | ------- | ------ |
| ✓    |         |        |

### Configuration Table

<table><thead><tr><th width="188.84765625">Parameter</th><th width="94.953125">Type</th><th width="85.80859375">Default</th><th>Description</th></tr></thead><tbody><tr><td>endpoint</td><td><code>string</code></td><td></td><td>The target URL to send Loki log streams to (e.g. <a href="/pages/mqvXXjmvh1fq087PudqP">http://loki:3100/loki/api/v1/push</a>). to.</td></tr><tr><td>headers</td><td><code>map</code></td><td></td><td>Additional headers to attach to each HTTP Request.</td></tr><tr><td>configure_tls</td><td><code>bool</code></td><td>false</td><td>Configure advanced TLS settings.</td></tr><tr><td>insecure_skip_verify</td><td><code>bool</code></td><td>false</td><td>Enable to skip TLS certificate verification.</td></tr><tr><td>ca_file</td><td><code>string</code></td><td></td><td>Certificate authority used to validate TLS certificates.</td></tr><tr><td>mutual_tls</td><td><code>bool</code></td><td>false</td><td>Whether or not to use mutual TLS authentication.</td></tr><tr><td>cert_file</td><td><code>string</code></td><td></td><td>A TLS certificate used for client authentication.</td></tr><tr><td>key_file</td><td><code>bool</code></td><td></td><td>A TLS private key used for client authentication.</td></tr></tbody></table>

### Supported Retry and Queuing Settings

This destination supports the following [retry and queuing settings](/configuration/bindplane-otel-collector/retry-on-failure.md):

| Sending Queue | Persistent Queue | Retry on Failure |
| ------------- | ---------------- | ---------------- |
| ✓             | ✓                | ✓                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bindplane.com/integrations/destinations/loki/loki-deprecated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
